%define name xmms
%define version 0.9.5
%define release 1

Summary: An MP3 player for X which resembles WinAMP.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Multimedia
URL: http://www.xmms.org
Source: %{name}-%{version}.tar.gz
Source1: xmms.desktop
Source2: mp3license 
Source3: README.ESD 
Patch1: xmms-audio.patch
Requires: gtk+ >= 1.2.2
BuildRoot: /var/tmp/%{name}-%{version}
Obsoletes: x11amp0.7-1-1 x11amp

%description
Xmms is an MP3 player for the X Window System with an interface
similar to WinAMP's.  Xmms supports playlists, streaming content and
other sound sources (like CDs), and has a configurable interface.

For information on the MP3 License, please visit:
http://www.mpeg.org/.

%package devel
Summary: Static libraries and header files for Xmms plug-in development.
Group: Development/Libraries
Obsoletes: x11amp-devel
Requires: %{name}

%description devel
The static libraries and header files needed for building plug-ins for
the Xmms MP3 player.

%package gnome
Summary: A GNOME panel applet for the Xmms MP3 player.
Group: Applications/Multimedia
Requires: %{name}

%description gnome
The xmms-gnome package contains a GNOME panel applet that allows you
to control the Xmms MP3 player.

%prep
%setup -q
%patch1 -p1 -b .audio

%build
automake;autoconf
{
	pushd libxmms
	automake;autoconf
	popd
}
CFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=/usr/X11R6
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/
install -m 644 $RPM_SOURCE_DIR/xmms.desktop  $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/

mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install xmms/xmms_logo.xpm $RPM_BUILD_ROOT/usr/share/pixmaps

strip $RPM_BUILD_ROOT/usr/X11R6/bin/*  || :
%post
/sbin/ldconfig  

%postun -p /sbin/ldconfig 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%doc $RPM_SOURCE_DIR/README.ESD
/usr/X11R6/bin/xmms
/usr/X11R6/lib/libxmms.so.0
/usr/X11R6/lib/libxmms.so.0.9.0
/usr/X11R6/lib/xmms
/etc/X11/applnk/Multimedia/xmms.desktop
/usr/share/pixmaps/xmms_logo.xpm

%files devel
%defattr(-,root,root)
/usr/X11R6/include/xmms
/usr/X11R6/lib/libxmms.a
/usr/X11R6/lib/libxmms.la
/usr/X11R6/lib/libxmms.so

%files gnome
%defattr(-,root,root)
/usr/X11R6/bin/gnomexmms
/usr/share/applets/Multimedia/gnomexmms.desktop
/etc/CORBA/servers/gnomexmms.gnorba


%changelog
* Wed Sep 23 1999 Preston Brown <pbrown@redhat.com>
- latest stable release (0.9.5)

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- open in non-blocking mode, then reset
- make esd the default

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- fix binaries

* Thu Sep  9 1999 Bill Nottingham <notting@redhat.com>
- fix gtk+ requirements

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- fix a /0 in the disk writer

* Tue Jul 20 1999 Bill Nottingham <notting@redhat.com>
- 0.9.1

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- use other fallback patch
- obsolete x11amp-devel

* Fri Jun 11 1999 Matt Wilson <msw@redhat.com>
- updated to xmms 0.9 final

* Thu Apr 8 1999 The Rasterman <raster@redhat.com>
- patched to have plugin fallback to other plugins for output if plugin fails.

* Mon Mar 29 1999 Michael Maher <mike@redhat.com>
- added desktop entry.

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- made some changes to the spec file. 
- has 'esd' support now.
- stripped executables.

* Mon Feb 15 1999 Michael Maher <mike@redhat.com>
- built pacakge for 6.0
- changed spec file, added mp3 licenses.

* Mon Feb 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha3-1]
- Updated to alpha3 see ChangLog for changes.

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha2-1]
- fixed close button in PL/EQ windows
- fixed shuffel/randomize functions
- removed imlib, no need for imlib anymore
- mpg123 plugin now works on SMP machines, also reduced cpu usage
- fixed so mainwindow will be positioned correct at startup in some windowmanagers
- fixed the playlistwindow buttons that ended up behind the window
- added mikmod plugin into the source tree
- now you can configure the OSS drivers and mpg123 plugin
- SKINSDIR variable can be used again
- added bars as analyzer mode
- in playlistwindow the player control buttons now work, also time window works
